VkPipelineViewportShadingRateImageStateCreateInfoNV Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkPipelineViewportShadingRateImageStateCreateInfoNV:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkBool32 | shadingRateImageEnable
uint32_t | viewportCount
const VkShadingRatePaletteNV * | pShadingRatePalettes

## Detailed Description

Definition at line 8048 of file vulkan_core.h.

## Field Documentation

## pNext

const void* VkPipelineViewportShadingRateImageStateCreateInfoNV::pNext

Definition at line 8050 of file vulkan_core.h.

## pShadingRatePalettes

const VkShadingRatePaletteNV* VkPipelineViewportShadingRateImageStateCreateInfoNV::pShadingRatePalettes

Definition at line 8053 of file vulkan_core.h.

## shadingRateImageEnable

VkBool32 VkPipelineViewportShadingRateImageStateCreateInfoNV::shadingRateImageEnable

Definition at line 8051 of file vulkan_core.h.

## sType

VkStructureType VkPipelineViewportShadingRateImageStateCreateInfoNV::sType

Definition at line 8049 of file vulkan_core.h.

## viewportCount

uint32_t VkPipelineViewportShadingRateImageStateCreateInfoNV::viewportCount

Definition at line 8052 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h